function [max_y_dimension min_y_dimension]=getMinMaxY(varargin)
% return max and min y-axis dimension of element

CSE_object=varargin{1};

y1=CSE_object.sketch_data.y1; % two rows
y1=reshape(y1,[1 numel(y1)]); % convert to one row

y2=CSE_object.sketch_data.y2;
y2=reshape(y1,[1 numel(y2)]);

y3=CSE_object.sketch_data.y3;
y3=reshape(y3,[1 numel(y3)]);

y4=CSE_object.sketch_data.y4;
y4=reshape(y4,[1 numel(y4)]);

y=[y1 y2 y3 y4]; %concatenating rows

min_y_dimension=min(y);
max_y_dimension=max(y);

end

