function [xyz_thick]=get_smallest_thick(varargin)
%return smallest object thick in each dimension (x, y, z)


% thick is not connected with center of cylinder 

this=varargin{1};

rmin=this.geometry.rmin;
rmax=this.geometry.rmax;

start_angle=this.geometry.start_angle_deg;
stop_angle=this.geometry.stop_angle_deg;

% if(abs(start_angle-stop_angle)>180)
%     start_angle=0;
%     stop_angle=180;
% end

z_high=this.geometry.h_high;
z_low=this.geometry.h_low;

% angle_in_radians_start = start_angle * (pi / 180);
% angle_in_radians_stop = stop_angle * (pi / 180);
% 
% %x
% [x_start_x y_start_x]=pol2cart(angle_in_radians_start,rmin);
% [x_stop_x y_stop_x]=pol2cart(angle_in_radians_start,rmax);
% 
% % y
% [x_start y_start]=pol2cart(angle_in_radians_start,rmax);
% [x_stop y_stop]=pol2cart(angle_in_radians_stop,rmax);
% 
% xthick=abs(x_start_x-x_stop_x);
% ythick=abs(y_start-y_stop);
% zthick=abs(z_high-z_low);

xthick=abs(rmin-rmax);
ythick=xthick;
zthick=abs(z_high-z_low);

xyz_thick=[xthick ythick zthick];

end


