function [ map_ret ] = get_points_and_reshape( varargin )
% GET_FROM_MAPS_SPECIFIC_POINTS get from input maps only this points which
% are in input of function. Return maps with the 2d matrix size
% input 4d matrix first number is map number
%       point_list
% output matrix 2d

if nargin==3
    this = varargin{1};
    map  = varargin{2}; % 4 d matrix
    point_list_of_volume = varargin{3};
    
    [map_num,r,c,p]=size(map);
    map_ret=zeros(map_num,numel(point_list_of_volume));
    tmp_map=zeros(r,c,p);
    selected_map=zeros(1,numel(point_list_of_volume));
    for i=1:map_num
        tmp_map(:,:,:)=map(i,:,:,:);
        selected_map(:)=tmp_map(point_list_of_volume(:));   
        map_ret(i,:)=selected_map(:);
    end
    
else
    error('Too many or less elements');
end

end


