classdef eInv_Problem_Landweber < eInv_Problem
    %eInv_Problem_Landweber Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        
    end
    
    methods        
          function this = eInv_Problem_Landweber(varargin)
          if nargin > 0 ; % no input arguments
          if isa(varargin{1},'eInv_Problem_Landweber')
            this = varargin{1}; % copy constructor
            display 'Copy constructor eInv_Problem_Landweber'
            return;                     
          else
             switch(nargin)                                  
              
                case 4,                                
                    
                    this.FP_phantom=varargin{1};
                    this.FP_min=varargin{2};
                    this.FP_max=varargin{3};                    
%                    this.FP_avg=varargin{4};   
                    this.mesh_voxel_size_downscale=varargin{4};
                    
                    this.mesh_voxel_size_upscale=this.FP_phantom.mesh.size_discrete_xyz;
                    
                    this.C_pha=this.FP_phantom.C;
                    this.C_min=this.FP_min.C;
                    this.C_max=this.FP_max.C;
                    %this.C_avg=this.FP_avg.C;
                
                 otherwise,
                 error('Too less or too much input elements');
             end % switch
          end % if
          end % if
          end % constructor      
          
          permittivity=solve(varargin)
        % Use to solve inverse problem. Linear Back Projection
        % input max_permittivity_value
        
        Cm_n=normalize_capacitance(varargin);
        % normalize measured capacitance
        % input C_measured
        %       C_min
        %       C_max
        
        S_n=normalize_sensitivity(varargin)
        %normalize sensitivity matrix coefficients for 2d   
        % input S sensitivity matrix (number of cols must be greater than rows)
        %                             each sensitivity map must be write in each
        %                             row
        %        normalize_mode ('one','avg')
        % output Sn normalized sensitivity matrix
        
        plot_permittivity(varargin);
        % plots permittivity
        
    end
    
end

