function [permittivity_out permittivity_matrix_3d_out]=change_permittivity_value_in_points(varargin)
% use only if know why using this function
% Use this function if you want to change permittivity values
% without recalculate whole model
% input: point list 
%        value (it could be vector)
% output permittivity is set for this object (cell the same length like value vector)

this=varargin{1};
point_list_where_change=varargin{2};
new_value=varargin{3};
matrix_mesh_size=this.mesh.size_discrete_xyz;

permittivity=this.permittivity;
point_list_where_calculate=this.point_list_where_calculate;

elements_to_recalculate=numel(new_value);

for j=1:elements_to_recalculate
    current_perm=permittivity;
    iidx=find(ismember(point_list_where_calculate,point_list_where_change));
    current_perm(iidx)=new_value(j);
%     for i=1:numel(point_list_where_change)
%         %logical indexing
%         iidx= point_list_where_calculate==point_list_where_change(i);
%         current_perm(iidx)=new_value(j);
%     end
    permittivity_out(j)={current_perm};
    current_perm=[];
end

% iidx = point_list_where_calculate==point_list_where_change;
% permittivity(iidx)=new_value;


 % 3d permittivity matrix:
 




for j=1:elements_to_recalculate
    permittivity_matrix_3d=ones(matrix_mesh_size);
     permittivity=permittivity_out{j};
     
      %alloc memory
%     r=zeros(1,numel(point_list_where_calculate));
%     c=zeros(1,numel(point_list_where_calculate));
%     p=zeros(1,numel(point_list_where_calculate));
 
    [r c p]=ind2sub(matrix_mesh_size,point_list_where_calculate);

     for i=1:length(point_list_where_calculate)
%       [r(i) c(i) p(i)]=ind2sub(matrix_mesh_size,point_list_where_calculate(i));

       permittivity_matrix_3d(r(i),c(i),p(i))=permittivity(i);
    end
     permittivity_matrix_3d_out(j)={permittivity_matrix_3d};
     permittivity_matrix_3d=[];

end

% this.permittivity_matrix_3d=permittivity_matrix_3d;
%     
% this.permittivity=permittivity;
% 
% this.boundary_permittivity_neighbours(:,2)=permittivity(:);

end

