function [bounding_box_xyz]=get_bounding_box(varargin)
% return bounding values xmin, xmax etc
% [xmin xmax  ymin ymax  zmin zmax ]

this=varargin{1};


all_elments=this.all_elements.get_all();

box=all_elments(1).geometry.get_bounding_box();

for i=2:length(all_elments)
    tmp_box=all_elments(i).geometry.get_bounding_box();
    
    xmin=min(box(1),tmp_box(1));
    xmax=max(box(2),tmp_box(2));
    
    ymin=min(box(3),tmp_box(3));
    ymax=max(box(4),tmp_box(4));
    
    zmin=min(box(5),tmp_box(5));
    zmax=max(box(6),tmp_box(6));
        
    box=[xmin xmax ymin ymax zmin zmax];
end


% sensor_elments=this.sensor.get_all();
% phantom_elments=this.phantom.get_all();
% box=sensor_elments(1).geometry.get_bounding_box();
% 
% for i=2:length(sensor_elments)
%     tmp_box=sensor_elments(i).geometry.get_bounding_box();
%     box(:,1)=min(box(:,1),tmp_box(:,1));
%     box(:,2)=max(box(:,2),tmp_box(:,2));
% end
% 
% 
% for i=1:length(phantom_elments)
%     tmp_box=phantom_elments(i).geometry.get_bounding_box();
%     box(:,1)=min(box(:,1),tmp_box(:,1));
%     box(:,2)=max(box(:,2),tmp_box(:,2));
% end

% n_elem=this.sensor.element_map.length();
% box=this.sensor.element_map(1).geometry.get_bounding_box();
% 
% for i=1:n_elem
%     tmp_box=this.sensor.element_map(i).geometry.get_bounding_box();
%     box(:,1)=min(box(:,1),tmp_box(:,1));
%     box(:,2)=max(box(:,2),tmp_box(:,2));
% end
% 
% offset=i;
% 
% n_elem=this.phantom.element_map.length();
% 
% for i=1:n_elem
%     tmp_box=this.phantom.element_map(offset+i).geometry.get_bounding_box();
%     box(:,1)=min(box(:,1),tmp_box(:,1));
%     box(:,2)=max(box(:,2),tmp_box(:,2));
% end

bounding_box_xyz=box;

end

