function [ h_plot ] = sketch( varargin )
%SKETCH draw sketch of element 
% input 
% eGraphics Object
% or default without parameters

CSE_obj=varargin{1};

x=CSE_obj.sketch_data.x;
y=CSE_obj.sketch_data.y;
z=CSE_obj.sketch_data.z;

h=surf(x,y,z);

if nargin==1
    
    % default
    gr=eGraphics();
    
    gr.render_gcf();
    set(h,'FaceColor',gr.surface_color,'EdgeColor',gr.edge_color);
end        
if nargin==2
    
    if isa(varargin{2},'eGraphics')
        EG_obj = varargin{2}; 
        
        EG_obj.render_gcf();
        set(h,'FaceColor',EG_obj.surface_color,'EdgeColor',EG_obj.edge_color);
    end

end

h_plot=h;

end

