function [max_x_dimension min_x_dimension]=getMinMaxX(varargin)
% return max and min x-axis dimension of element

CSE_object=varargin{1};

x1=CSE_object.sketch_data.x1; % two rows
x1=reshape(x1,[1 numel(x1)]); % convert to one row

x2=CSE_object.sketch_data.x2;
x2=reshape(x1,[1 numel(x2)]);

x3=CSE_object.sketch_data.x3;
x3=reshape(x3,[1 numel(x3)]);

x4=CSE_object.sketch_data.x4;
x4=reshape(x4,[1 numel(x4)]);

x=[x1 x2 x3 x4]; %concatenating rows

min_x_dimension=min(x);
max_x_dimension=max(x);

end

