function [bounding_box_xyz]=get_bounding_box(varargin) 
% return bounding values xmin, xmax etc
% [xmin xmax ymin ymax zmin zmax ]


% geometry.cornerx=  % x corner of cuboid
% geometry.cornery=  % y corner of cuboid
% 
% geometry.cornerz=  % z corner of cuboid
% geometry.sizex=
% 
% geometry.sizey=
% geometry.sizez=
        
this=varargin{1};        

cx=this.geometry.cornerx;
cy=this.geometry.cornery;
cz=this.geometry.cornerz;

sx=this.geometry.sizex;
sy=this.geometry.sizey;
sz=this.geometry.sizez;

x=[cx cx+sx];
y=[cy cy+sy];
z=[cz cz+sz];

xmin=min(x);
xmax=max(x);

ymin=min(y);
ymax=max(y);

zmin=min(z);
zmax=max(z);

bounding_box_xyz = [xmin xmax  ymin ymax  zmin zmax];
end

