function [xyz_thick]=get_smallest_thick(varargin)
%return smallest object thick in each dimension (x, y, z)

this=varargin{1};

A=this.get_bounding_box();
minx=A(1);
maxx=A(2);
miny=A(3); 
maxy=A(4); 
minz=A(5); 
maxz=A(6);

xthick=abs(maxx-minx);

ythick=abs(maxy-miny);

zthick=abs(maxz-minz);

xyz_thick=[xthick ythick zthick];

end