%
% mpimesh
%
% discretization definition

clear all;

Vsize=200; % simulation volume size [mm]
K=48; % discretization - 3D KxKxK matrix
voxelsize=Vsize/K; % size of voxel [mm]

[X Y Z] = mpi_meshgrid(K,voxelsize);

% display and calculation mesh
cx = X;
cy = Y; 
cz = Z;

size(X)

