function plot_2d(varargin)
% plot 2d plots only 2d images (it can be use to plot sensitivity o permittivity maps or matrix).
% Input: S map or matrix to plot 
%        optional resize vector
%        plot_mode ('mesh' or 'imagesc')
% e.g. this.plot_2d(S_sum,[30,30],'mesh');

this=varargin{1};
S=varargin{2};
if nargin==3
        reshape_size=varargin{3};
end

if nargin==4
        reshape_size=varargin{3};
        plot_mode=varargin{4};
end

ms=size(S);

map_size_numel=numel(ms);

if map_size_numel==2
    if nargin==3 || nargin==4  
        S=reshape(S,reshape_size);
    end
    
    if strcmp(plot_mode,'mesh')
        figure;
        mesh(S);
    elseif strcmp(plot_mode,'imagesc')
        figure;
        imagesc(S);
    end
    
elseif map_size_numel==3
    [r,c,p]=size(S_matrix_2d);
    
    for i=1:r
        S(:,:)=S_matrix_2d(i,:,:);
             figure
        imagesc(S);
    end
    
end

end