function [pointlist point_list_and_vertices]=assign_mesh_points(varargin)
% set point list using given Mesh
% input Mesh
% output: point list and cubes with vertices
% this values are also set in eElement object automatically

this=varargin{1};
mesh=varargin{2};        

this.mesh=mesh;

A=this.get_bounding_box();
xmin=A(1);
xmax=A(2);
ymin=A(3); 
ymax=A(4); 
zmin=A(5); 
zmax=A(6);

mesh.set_size([xmin xmax ymin ymax zmin zmax]);

keySet = keys(this.all_elements.element_map);

display 'mesh'
display 'number of elements to mesh'
length(keySet)

keySet=cell2mat(keySet);


% parfor i=1:length(keySet)
 for i=1:length(keySet)
%      display 'object is processing:' 
%      i
%      keySet(i)
%      this.all_elements.element_map(keySet(i)).name
     
     this.all_elements.element_map(keySet(i)).assign_mesh_points(mesh);                
     
%     el=this.all_elements.element_map(keySet(i));
%      el.mesh_view()


%      display 'object is processing:' 
% 
%      this.all_elements.element_map(3).name
%      
%      this.all_elements.element_map(3).assign_mesh_points(mesh);                

 end

end

