function [EF]= compute_ef(mesh,point_list,permittivity,boundary,neighbours_pidx,neighbours_iidx,potential_maps)
% input (mesh,point_list,permittivity,boundary,neighbours_pidx,neighbours_iidx,potential_maps,point_list_from_where_get_sensitivity)
% point_list_from_where_get_sensitivity (only point outside of electrodes (boundary condition) should be taken)
% return FP (with sensitivity and capacitance)

EF=eElectrical_Field(mesh,point_list,permittivity,boundary,neighbours_pidx,neighbours_iidx,potential_maps);

EF.solve('iterative_mex',10000,9e-08);

end

